
Name:           sqlcipher 
Version:        3.3.1
Release:        4%{?dist}
Summary:        SQLCipher is an open source extension to SQLite that provides transparent 256-bit AES encryption of database files.

License:        BSD
URL:            https://github.com/sqlcipher/sqlcipher
Source0:        https://github.com/sqlcipher/sqlcipher/archive/v%{version}.tar.gz

BuildRequires:  openssl-devel
BuildRequires:  readline-devel
BuildRequires:  sqlite-devel
BuildRequires:  tcl

%description
SQLCipher is an open source library that provides transparent, secure 256-bit 
AES encryption of SQLite database files. SQLCipher has been adopted as a secure
database solution by many commercial and open source products, making it one of
the most popular encrypted database platforms for Mobile, Embedded, and Desktop 
applications


%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
The %{name}-devel package contains libraries for
developing applications that use %{name}.


%prep
%setup -q


%build
# recommended in README.md ## Compiling section
CFLAGS="%{optflags} -DSQLITE_HAS_CODEC -DSQLITE_TEMP_STORE=2"
LDFLAGS="%{?__global_ldflags} -lcrypto"
%configure \
    --enable-tempstore=yes \
    --enable-releasemode \
    --disable-static \
    --disable-tcl

# fix/workaround hard-coded rpaths
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build


%install
%make_install

rm -fv %{buildroot}%{_libdir}/lib*.la


%files
%doc README.md
%license LICENSE
%{_bindir}/sqlcipher
%{_libdir}/libsqlcipher-3.8.10.2.so.0
%{_libdir}/libsqlcipher-3.8.10.2.so.0.8.6

%files devel
%{_includedir}/sqlcipher
%{_libdir}/libsqlcipher.so
%{_libdir}/pkgconfig/sqlcipher.pc


%changelog
* Wed Jul 27 2016 siddharth.kde@gmail.com - 3.3.1-4
- remove tcl and add openssl-devel as build requires

* Tue Jul 26 2016 Rex Dieter <rdieter@fedoraproject.org> - 3.3.1-3
- rebuilt fixing review requests in bz#1310294

* Wed Mar 09 2016 gripen <siddharth.kde@gmail.com> - 3.3.1-2
- rebuilt fixing review requests in bz#1310294

* Sat Feb 20 2016 Siddharth Sharma <siddharth.kde@gmail.com> - 3.3.1-1
- Init sqlcipher package


